Index: inc/IDocumentRedlineAccess.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/IDocumentRedlineAccess.hxx,v
retrieving revision 1.2
retrieving revision 1.2.14.1
diff -u -r1.2 -r1.2.14.1
--- inc/IDocumentRedlineAccess.hxx	14 Aug 2006 15:13:15 -0000	1.2
+++ inc/IDocumentRedlineAccess.hxx	28 Aug 2006 12:33:37 -0000	1.2.14.1
@@ -87,38 +87,41 @@
  class IDocumentRedlineAccess
  {
  public:
-    typedef int RedlineMode_t;
+   
+   enum RedlineMode_t
+   { 
+       REDLINE_NONE = 0, // no RedlineMode
+       REDLINE_ON = 0x01,// RedlineMode on
+       REDLINE_IGNORE = 0x02,// ignore Redlines
+       REDLINE_SHOW_INSERT = 0x10,// show all inserts
+       REDLINE_SHOW_DELETE = 0x20,// show all delets
+       REDLINE_SHOW_MASK = REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE,
 
-    static const RedlineMode_t REDLINE_NONE = 0;// no RedlineMode
-    static const RedlineMode_t REDLINE_ON = 0x01;// RedlineMode on
-    static const RedlineMode_t REDLINE_IGNORE = 0x02;// ignore Redlines
-    static const RedlineMode_t REDLINE_SHOW_INSERT = 0x10;// show all inserts
-    static const RedlineMode_t REDLINE_SHOW_DELETE = 0x20;// show all delets
-    static const RedlineMode_t REDLINE_SHOW_MASK = REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE;
+       // fuer die interne Verwaltung:
+       // die originalen Redlines inclusive des Contents entfernen
+       // (ClipBoard/Textbausteine)
+       REDLINE_DELETE_REDLINES = 0x100,
+       // beim Loeschen innerhalb ein RedlineObjectes, waehrend des Appends,
+       // das DeleteRedline ignorieren
+       REDLINE_IGNOREDELETE_REDLINES = 0x200,
+       // don't combine any readlines. This flags is may only used in the Undo.
+      REDLINE_DONTCOMBINE_REDLINES = 0x400
+   };
 
-    // fuer die interne Verwaltung:
-    // die originalen Redlines inclusive des Contents entfernen
-    // (ClipBoard/Textbausteine)
-    static const RedlineMode_t REDLINE_DELETE_REDLINES = 0x100;
-    // beim Loeschen innerhalb ein RedlineObjectes, waehrend des Appends,
-    // das DeleteRedline ignorieren
-    static const RedlineMode_t REDLINE_IGNOREDELETE_REDLINES = 0x200;
-    // don't combine any readlines. This flags is may only used in the Undo.
-    static const RedlineMode_t REDLINE_DONTCOMBINE_REDLINES = 0x400;
-
-    typedef int RedlineType_t;
-
-    // die RedlineTypen gehen von 0 bis 127
-    static const RedlineType_t REDLINE_INSERT = 0x0;// Inhalt wurde eingefuegt
-    static const RedlineType_t REDLINE_DELETE = 0x1;// Inhalt wurde geloescht
-    static const RedlineType_t REDLINE_FORMAT = 0x2;// Attributierung wurde angewendet
-    static const RedlineType_t REDLINE_TABLE = 0x3;// TabellenStruktur wurde veraendert
-    static const RedlineType_t REDLINE_FMTCOLL = 0x4;// FormatVorlage wurde veraendert (Autoformat!)
-
-    // ab 128 koennen Flags hineinverodert werden
-    static const RedlineType_t REDLINE_NO_FLAG_MASK = 0x7F;
-    static const RedlineType_t REDLINE_FLAG_MASK = 0xFF80;
-    static const RedlineType_t REDLINE_FORM_AUTOFMT = 0x80;// kann als Flag im RedlineType stehen
+   enum RedlineType_t
+   {
+     // die RedlineTypen gehen von 0 bis 127
+     REDLINE_INSERT = 0x0,// Inhalt wurde eingefuegt
+     REDLINE_DELETE = 0x1,// Inhalt wurde geloescht
+     REDLINE_FORMAT = 0x2,// Attributierung wurde angewendet
+     REDLINE_TABLE = 0x3,// TabellenStruktur wurde veraendert
+     REDLINE_FMTCOLL = 0x4,// FormatVorlage wurde veraendert (Autoformat!)
+     
+     // ab 128 koennen Flags hineinverodert werden
+     REDLINE_NO_FLAG_MASK = 0x7F,
+     REDLINE_FLAG_MASK = 0xFF80,
+     REDLINE_FORM_AUTOFMT = 0x80// kann als Flag im RedlineType stehen
+   };
 
     // Static helper functions
 public:
Index: inc/redline.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/redline.hxx,v
retrieving revision 1.10
retrieving revision 1.10.14.1
diff -u -r1.10 -r1.10.14.1
--- inc/redline.hxx	14 Aug 2006 15:30:22 -0000	1.10
+++ inc/redline.hxx	28 Aug 2006 12:33:37 -0000	1.10.14.1
@@ -140,7 +140,7 @@
 		{	return !operator==( rCmp ); }
 
 	IDocumentRedlineAccess::RedlineType_t GetType() const
-		{ return (eType & IDocumentRedlineAccess::REDLINE_NO_FLAG_MASK); }
+  { return ((IDocumentRedlineAccess::RedlineType_t)(eType & IDocumentRedlineAccess::REDLINE_NO_FLAG_MASK)); }
 	IDocumentRedlineAccess::RedlineType_t GetRealType() const { return eType; }
 	USHORT GetAuthor() const 				{ return nAuthor; }
 	const String& GetComment() const 		{ return sComment; }
@@ -149,7 +149,7 @@
 
     void SetComment( const String& rS )     { sComment = rS; }
 	void SetAutoFmtFlag()
-		{ eType = ( eType | IDocumentRedlineAccess::REDLINE_FORM_AUTOFMT ); }
+  { eType = (IDocumentRedlineAccess::RedlineType_t)(eType | IDocumentRedlineAccess::REDLINE_FORM_AUTOFMT); }
 	int CanCombine( const SwRedlineData& rCmp ) const
 		{
 			return nAuthor == rCmp.nAuthor &&
@@ -240,7 +240,7 @@
 	const DateTime& GetTimeStamp( USHORT nPos = 0) const;
     IDocumentRedlineAccess::RedlineType_t GetRealType( USHORT nPos = 0 ) const;
 	IDocumentRedlineAccess::RedlineType_t GetType( USHORT nPos = 0) const
-		{ return ( GetRealType( nPos ) & IDocumentRedlineAccess::REDLINE_NO_FLAG_MASK); }
+  { return ( (IDocumentRedlineAccess::RedlineType_t)(GetRealType( nPos ) & IDocumentRedlineAccess::REDLINE_NO_FLAG_MASK)); }
 	const String& GetComment( USHORT nPos = 0 ) const;
 
 	void SetComment( const String& rS ) { pRedlineData->SetComment( rS ); }
Index: source/core/doc/doccomp.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/doccomp.cxx,v
retrieving revision 1.16
retrieving revision 1.16.14.1
diff -u -r1.16 -r1.16.14.1
--- source/core/doc/doccomp.cxx	14 Aug 2006 15:55:46 -0000	1.16
+++ source/core/doc/doccomp.cxx	28 Aug 2006 12:33:38 -0000	1.16.14.1
@@ -1562,8 +1562,7 @@
 
 	IDocumentRedlineAccess::RedlineMode_t eSrcRedlMode = rSrcDoc.GetRedlineMode();
 	rSrcDoc.SetRedlineMode( IDocumentRedlineAccess::REDLINE_SHOW_INSERT );
-	SetRedlineMode(
-        IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT );
+	SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT));
 
 	SwCompareData aD0( rSrcDoc );
 	SwCompareData aD1( *this );
@@ -1574,16 +1573,15 @@
 
 	if( nRet )
 	{
-		SetRedlineMode(IDocumentRedlineAccess::REDLINE_ON |
-                       IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
-                       IDocumentRedlineAccess::REDLINE_SHOW_DELETE);
+	  SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON |
+                       IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
 
 		aD1.SetRedlinesToDoc( !bDocWasModified, rSrcDoc );
 		SetModified();
 	}
 
 	rSrcDoc.SetRedlineMode( eSrcRedlMode );
-	SetRedlineMode(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE);
+	SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
 
 	if( !bSrcModified )
 		rSrcDoc.ResetModified();
@@ -1649,7 +1647,7 @@
 		xub_StrLen nSaveCnt = pDestRedl->GetPoint()->nContent.GetIndex();
 
 		IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-		pDoc->SetRedlineMode_intern(eOld | IDocumentRedlineAccess::REDLINE_IGNORE);
+		pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 
 		pSrcRedl->GetDoc()->Copy( *(SwPaM*)pSrcRedl, *pDestRedl->GetPoint() );
 
@@ -1818,12 +1816,12 @@
 		if( pRing )
 		{
 			// dann alle ins DestDoc ueber nehmen
-			rSrcDoc.SetRedlineMode(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE);
+		  rSrcDoc.SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
 
-            SetRedlineMode(
-                IDocumentRedlineAccess::REDLINE_ON |
-                IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
-                IDocumentRedlineAccess::REDLINE_SHOW_DELETE);
+		  SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(
+									  IDocumentRedlineAccess::REDLINE_ON |
+									  IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
+									  IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
 
 			_SaveMergeRedlines* pTmp = pRing;
 
@@ -1841,7 +1839,7 @@
 	if( !bSrcModified )
 		rSrcDoc.ResetModified();
 
-	SetRedlineMode(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE);
+	SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
 
 	EndUndo(0, NULL);
 
Index: source/core/doc/docedt.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/docedt.cxx,v
retrieving revision 1.29
retrieving revision 1.29.14.1
diff -u -r1.29 -r1.29.14.1
--- source/core/doc/docedt.cxx	14 Aug 2006 15:56:55 -0000	1.29
+++ source/core/doc/docedt.cxx	28 Aug 2006 12:33:38 -0000	1.29.14.1
@@ -555,7 +555,7 @@
 
     // redline mode REDLINE_IGNORE|REDLINE_ON; save old mode
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( ( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON );
+	pDoc->SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON ));
 	SwRedlineTbl& rRedlTbl = (SwRedlineTbl&)pDoc->GetRedlineTbl();
 
     // iterate over relevant redlines and decide for each whether it should
@@ -612,7 +612,7 @@
 void lcl_RestoreRedlines( SwDoc* pDoc, const SwPosition& rPos, _SaveRedlines& rArr )
 {
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( ( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON );
+	pDoc->SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON ));
 
 	for( sal_uInt16 n = 0; n < rArr.Count(); ++n )
 	{
@@ -637,7 +637,7 @@
 		return ;
 
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( ( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON );
+	pDoc->SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON ));
 	SwRedlineTbl& rRedlTbl = (SwRedlineTbl&)pDoc->GetRedlineTbl();
 
 	do {
@@ -717,7 +717,7 @@
 void lcl_RestoreRedlines( SwDoc* pDoc, sal_uInt32 nInsPos, _SaveRedlines& rArr )
 {
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( ( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON );
+	pDoc->SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON ));
 
 	for( sal_uInt16 n = 0; n < rArr.Count(); ++n )
 	{
@@ -1610,7 +1610,7 @@
 
     //JP 06.01.98: MUSS noch optimiert werden!!!
     SetRedlineMode(
-        IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE );
+		   (IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE ));
 
 			nUndoSize = pUndos->Count();
 			StartUndo(0, NULL);
@@ -2164,7 +2164,7 @@
 
         //JP 06.01.98: MUSS noch optimiert werden!!!
         SetRedlineMode(
-            IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE );
+		       (IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE ));
 
 				*aDelPam.GetPoint() = pBkmk->GetPos();
 				*aDelPam.GetMark() = *pBkmk->GetOtherPos();
@@ -2546,7 +2546,7 @@
 		{
 			sal_Int32 nMode = (sal_Int32)_rReadlineMode;
 			nMode |= IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE;
-			_rReadlineMode = nMode;
+			_rReadlineMode = (IDocumentRedlineAccess::RedlineMode_t)nMode;
 		}
 	}
 }
Index: source/core/doc/docfmt.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/docfmt.cxx,v
retrieving revision 1.38
retrieving revision 1.38.14.1
diff -u -r1.38 -r1.38.14.1
--- source/core/doc/docfmt.cxx	14 Aug 2006 15:57:44 -0000	1.38
+++ source/core/doc/docfmt.cxx	28 Aug 2006 12:33:38 -0000	1.38.14.1
@@ -2288,7 +2288,7 @@
 // !!!!!!!!! Undo fehlt noch !!!!!!!!!!!!!!!!!!
 		AppendRedline( pRedl, true );
 
-		SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+		SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 	}
 
 	Insert( rPam, rSet, SETATTR_DONTEXPAND );
Index: source/core/doc/docglbl.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/docglbl.cxx,v
retrieving revision 1.18
retrieving revision 1.18.14.1
diff -u -r1.18 -r1.18.14.1
--- source/core/doc/docglbl.cxx	14 Aug 2006 15:58:11 -0000	1.18
+++ source/core/doc/docglbl.cxx	28 Aug 2006 12:33:38 -0000	1.18.14.1
@@ -220,7 +220,7 @@
 
 	// Undo/Redline aufjedenfall abschalten
 	DoUndo( FALSE );
-	SetRedlineMode_intern( GetRedlineMode() & ~IDocumentRedlineAccess::REDLINE_ON );
+	SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(GetRedlineMode() & ~IDocumentRedlineAccess::REDLINE_ON));
 
 	String sExt( pFilter->GetSuffixes().GetToken(0, ',') );
 	if( !sExt.Len() )
Index: source/core/doc/docnew.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/docnew.cxx,v
retrieving revision 1.66
retrieving revision 1.66.14.1
diff -u -r1.66 -r1.66.14.1
--- source/core/doc/docnew.cxx	14 Aug 2006 15:58:50 -0000	1.66
+++ source/core/doc/docnew.cxx	28 Aug 2006 12:33:39 -0000	1.66.14.1
@@ -308,7 +308,7 @@
 	nUndoCnt( 0 ),
 	nUndoSttEnd( 0 ),
 	nAutoFmtRedlnCommentNo( 0 ),
-    eRedlineMode(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE),
+	eRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE)),
 	eChrCmprType( CHARCOMPRESS_NONE ),
     mReferenceCount(0),
     nLockExpFld( 0 ),
Index: source/core/doc/docnum.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/docnum.cxx,v
retrieving revision 1.57
retrieving revision 1.57.14.1
diff -u -r1.57 -r1.57.14.1
--- source/core/doc/docnum.cxx	14 Aug 2006 15:59:04 -0000	1.57
+++ source/core/doc/docnum.cxx	28 Aug 2006 12:33:39 -0000	1.57.14.1
@@ -2141,7 +2141,7 @@
 			{
                 //JP 06.01.98: MUSS noch optimiert werden!!!
                 SetRedlineMode(
-                    IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE );
+			       (IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
 				AppendUndo( new SwUndoRedlineDelete( aPam, UNDO_DELETE ));
 			}
 
Index: source/core/doc/docredln.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/docredln.cxx,v
retrieving revision 1.40
retrieving revision 1.40.14.1
diff -u -r1.40 -r1.40.14.1
--- source/core/doc/docredln.cxx	14 Aug 2006 15:59:18 -0000	1.40
+++ source/core/doc/docredln.cxx	28 Aug 2006 12:33:39 -0000	1.40.14.1
@@ -225,7 +225,7 @@
 
 			default:
 				pFnc = &SwRedline::Hide;
-				eMode |= IDocumentRedlineAccess::REDLINE_SHOW_INSERT;
+				eMode = (IDocumentRedlineAccess::RedlineMode_t)(eMode | IDocumentRedlineAccess::REDLINE_SHOW_INSERT);
 				break;
 			}
 
@@ -796,7 +796,7 @@
 
 // auf NONE setzen, damit das Delete::Redo die RedlineDaten wieder richtig
 // zusammen fasst! Der ShowMode muss erhalten bleiben!
-						eRedlineMode = (eOld & ~(REDLINE_ON | REDLINE_IGNORE));
+		      eRedlineMode = (IDocumentRedlineAccess::RedlineMode_t)(eOld & ~(REDLINE_ON | REDLINE_IGNORE));
 						switch( eCmpPos )
 						{
 						case POS_EQUAL:
@@ -808,7 +808,7 @@
 						case POS_INSIDE:
 							if( bCallDelete )
 							{
-								eRedlineMode = (eRedlineMode | REDLINE_IGNOREDELETE_REDLINES);
+							  eRedlineMode = (IDocumentRedlineAccess::RedlineMode_t)(eRedlineMode | REDLINE_IGNOREDELETE_REDLINES);
 
                                 // #98863# DeleteAndJoin does not yield the
                                 // desired result if there is no paragraph to
@@ -1288,7 +1288,7 @@
 			IDocumentRedlineAccess::RedlineMode_t eOld = eRedlineMode;
 // auf NONE setzen, damit das Delete::Redo die RedlineDaten wieder richtig
 // zusammen fasst! Der ShowMode muss erhalten bleiben!
-			eRedlineMode = (eOld & ~(REDLINE_ON | REDLINE_IGNORE));
+			eRedlineMode = (IDocumentRedlineAccess::RedlineMode_t)(eOld & ~(REDLINE_ON | REDLINE_IGNORE));
 			DeleteAndJoin( *pNewRedl );
 			eRedlineMode = eOld;
 		}
@@ -1743,7 +1743,7 @@
 					delete pRedl;
 
 				IDocumentRedlineAccess::RedlineMode_t eOld = rDoc.GetRedlineMode();
-				rDoc.SetRedlineMode_intern( eOld & ~(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE) );
+				rDoc.SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(eOld & ~(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE)));
 
 				if( pCSttNd && pCEndNd )
 					rDoc.DeleteAndJoin( aPam );
@@ -1853,7 +1853,7 @@
 					delete pRedl;
 
 				IDocumentRedlineAccess::RedlineMode_t eOld = rDoc.GetRedlineMode();
-				rDoc.SetRedlineMode_intern( eOld & ~(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE) );
+				rDoc.SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(eOld & ~(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE)));
 
 				if( pCSttNd && pCEndNd )
 					rDoc.DeleteAndJoin( aPam );
@@ -2100,7 +2100,7 @@
 	// aufjedenfall auf sichtbar umschalten
 	if( (REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE) !=
 		(REDLINE_SHOW_MASK & eRedlineMode) )
-		SetRedlineMode( REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode );
+	  SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)(REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode));
 
 	SwRedline* pTmp = (*pRedlineTbl)[ nPos ];
 	if( pTmp->HasMark() && pTmp->IsVisible() )
@@ -2160,7 +2160,7 @@
 	// aufjedenfall auf sichtbar umschalten
 	if( (REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE) !=
 		(REDLINE_SHOW_MASK & eRedlineMode) )
-		SetRedlineMode( REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode );
+	  SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)(REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode));
 
 	// die Selektion steht nur im ContentBereich. Wenn es aber Redlines
 	// davor oder dahinter auf nicht ContentNodes stehen, dann erweiter die
@@ -2208,7 +2208,7 @@
 	// aufjedenfall auf sichtbar umschalten
 	if( (REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE) !=
 		(REDLINE_SHOW_MASK & eRedlineMode) )
-		SetRedlineMode( REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode );
+	  SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)(REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode));
 
 	SwRedline* pTmp = (*pRedlineTbl)[ nPos ];
 	if( pTmp->HasMark() && pTmp->IsVisible() )
@@ -2268,7 +2268,7 @@
 	// aufjedenfall auf sichtbar umschalten
 	if( (REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE) !=
 		(REDLINE_SHOW_MASK & eRedlineMode) )
-		SetRedlineMode( REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode );
+	  SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(REDLINE_SHOW_INSERT | REDLINE_SHOW_DELETE | eRedlineMode));
 
 	// die Selektion steht nur im ContentBereich. Wenn es aber Redlines
 	// davor oder dahinter auf nicht ContentNodes stehen, dann erweiter die
@@ -2983,7 +2983,7 @@
 	SwDoc* pDoc = rPam.GetDoc();
 
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( eOld & ~(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE) );
+	pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld & ~(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE)));
 
 	// eigentlich muesste hier das Attribut zurueck gesetzt werden!!!
 	for( USHORT n = 0, nEnd = aWhichIds.Count(); n < nEnd; ++n )
@@ -3157,7 +3157,7 @@
 	{
 		SwDoc* pDoc = GetDoc();
 		IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-		pDoc->SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+		pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 		BOOL bUndo = pDoc->DoesUndo();
 		pDoc->DoUndo( FALSE );
 
@@ -3189,7 +3189,7 @@
 {
 	SwDoc* pDoc = GetDoc();
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+	pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 	BOOL bUndo = pDoc->DoesUndo();
 	pDoc->DoUndo( FALSE );
 
@@ -3229,7 +3229,7 @@
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
 	SwRedlineData* pCur;
 
-	pDoc->SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+	pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 	BOOL bUndo = pDoc->DoesUndo();
 	pDoc->DoUndo( FALSE );
 
Index: source/core/docnode/ndcopy.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/docnode/ndcopy.cxx,v
retrieving revision 1.22
retrieving revision 1.22.14.1
diff -u -r1.22 -r1.22.14.1
--- source/core/docnode/ndcopy.cxx	14 Aug 2006 16:03:47 -0000	1.22
+++ source/core/docnode/ndcopy.cxx	28 Aug 2006 12:33:39 -0000	1.22.14.1
@@ -657,7 +657,7 @@
 		if( pDelPam )
 		{
 			IDocumentRedlineAccess::RedlineMode_t eOld = pDestDoc->GetRedlineMode();
-			pDestDoc->SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+			pDestDoc->SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 
 			BOOL bDoesUndo = pDestDoc->DoesUndo();
 			pDestDoc->DoUndo( FALSE );
@@ -737,7 +737,7 @@
 	else
 	{
 		ASSERT( this == pDoc, " falscher Copy-Zweig!" );
-		pDoc->SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+		pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 
 		BOOL bDoUndo = pDoc->DoesUndo();
 		pDoc->DoUndo( FALSE );	// Auf jedenfall Undo abschalten
@@ -859,7 +859,7 @@
 	}
 
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+	pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 
 
 	// bewege den Pam von der Insert-Position ein zurueck, dadurch wird
Index: source/core/docnode/ndsect.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/docnode/ndsect.cxx,v
retrieving revision 1.27
retrieving revision 1.27.14.1
diff -u -r1.27 -r1.27.14.1
--- source/core/docnode/ndsect.cxx	14 Aug 2006 16:04:16 -0000	1.27
+++ source/core/docnode/ndsect.cxx	28 Aug 2006 12:33:40 -0000	1.27.14.1
@@ -270,7 +270,7 @@
 	SwSectionNode* pNewSectNode = 0;
 
 	IDocumentRedlineAccess::RedlineMode_t eOld = GetRedlineMode();
-	SetRedlineMode_intern( (eOld & ~IDocumentRedlineAccess::REDLINE_SHOW_MASK) | IDocumentRedlineAccess::REDLINE_IGNORE );
+	SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)((eOld & ~IDocumentRedlineAccess::REDLINE_SHOW_MASK) | IDocumentRedlineAccess::REDLINE_IGNORE));
 
 	if( rRange.HasMark() )
 	{
Index: source/core/docnode/ndtbl.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/docnode/ndtbl.cxx,v
retrieving revision 1.38
retrieving revision 1.38.14.1
diff -u -r1.38 -r1.38.14.1
--- source/core/docnode/ndtbl.cxx	14 Aug 2006 16:04:41 -0000	1.38
+++ source/core/docnode/ndtbl.cxx	28 Aug 2006 12:33:40 -0000	1.38.14.1
@@ -2022,7 +2022,7 @@
 		DeleteRedline( *pTblNd, true, USHRT_MAX );
 #endif
 	IDocumentRedlineAccess::RedlineMode_t eOld = GetRedlineMode();
-	SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_IGNORE );
+	SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_IGNORE));
 
 	SwUndoTblMerge* pUndo = 0;
 	if( DoesUndo() )
@@ -3960,9 +3960,9 @@
 	{
         IDocumentRedlineAccess::RedlineMode_t eOld = GetRedlineMode();
         if( IsRedlineOn() )
-            SetRedlineMode( IDocumentRedlineAccess::REDLINE_ON |
-                            IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
-                            IDocumentRedlineAccess::REDLINE_SHOW_DELETE );
+	  SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON |
+								  IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
+								  IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
 
 		SwUndoTblCpyTbl* pUndo = 0;
 		if( DoesUndo() )
Index: source/core/edit/autofmt.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/edit/autofmt.cxx,v
retrieving revision 1.31
retrieving revision 1.31.14.1
diff -u -r1.31 -r1.31.14.1
--- source/core/edit/autofmt.cxx	14 Aug 2006 16:07:02 -0000	1.31
+++ source/core/edit/autofmt.cxx	28 Aug 2006 12:33:40 -0000	1.31.14.1
@@ -2286,10 +2286,10 @@
 	if( aFlags.bWithRedlining )
 	{
 		pDoc->SetAutoFmtRedline( TRUE );
-		eRedlMode = IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT;
+		eRedlMode = (IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT);
 	}
 	else
-		eRedlMode = IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_IGNORE;
+	  eRedlMode = (IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_SHOW_INSERT | IDocumentRedlineAccess::REDLINE_IGNORE);
 	pDoc->SetRedlineMode( eRedlMode );
 
     // save undo state (might be turned off)
Index: source/core/edit/edglss.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/edit/edglss.cxx,v
retrieving revision 1.11
retrieving revision 1.11.14.1
diff -u -r1.11 -r1.11.14.1
--- source/core/edit/edglss.cxx	14 Aug 2006 16:08:56 -0000	1.11
+++ source/core/edit/edglss.cxx	28 Aug 2006 12:33:41 -0000	1.11.14.1
@@ -130,7 +130,7 @@
 		{
 			rBlks.GetDoc()->SetRedlineMode_intern( IDocumentRedlineAccess::REDLINE_DELETE_REDLINES );
 			_CopySelToDoc( pGDoc );
-			rBlks.GetDoc()->SetRedlineMode_intern( 0 );
+			rBlks.GetDoc()->SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)0 );
 			nRet = rBlks.PutDoc();
 		}
 		else
Index: source/core/edit/edredln.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/edit/edredln.cxx,v
retrieving revision 1.5
retrieving revision 1.5.14.1
diff -u -r1.5 -r1.5.14.1
--- source/core/edit/edredln.cxx	14 Aug 2006 16:09:49 -0000	1.5
+++ source/core/edit/edredln.cxx	28 Aug 2006 12:33:41 -0000	1.5.14.1
@@ -60,7 +60,7 @@
 	{
 		SET_CURR_SHELL( this );
 		StartAllAction();
-		GetDoc()->SetRedlineMode( eMode );
+		GetDoc()->SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)eMode );
 		EndAllAction();
 	}
 }
Index: source/core/frmedt/fecopy.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/frmedt/fecopy.cxx,v
retrieving revision 1.40
retrieving revision 1.40.14.1
diff -u -r1.40 -r1.40.14.1
--- source/core/frmedt/fecopy.cxx	14 Aug 2006 16:14:48 -0000	1.40
+++ source/core/frmedt/fecopy.cxx	28 Aug 2006 12:33:41 -0000	1.40.14.1
@@ -391,7 +391,7 @@
 	else
 		bRet = _CopySelToDoc( pClpDoc, 0 );		// kopiere die Selectionen
 
-	pClpDoc->SetRedlineMode_intern( 0 );
+	pClpDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)0 );
 	pClpDoc->UnlockExpFlds();
 	if( !pClpDoc->IsExpFldsLocked() )
 		pClpDoc->UpdateExpFlds(NULL, true);
@@ -633,7 +633,7 @@
 		pDoc->SetCopyIsMove( TRUE );
 
 	IDocumentRedlineAccess::RedlineMode_t eOldRedlMode = pDestShell->GetDoc()->GetRedlineMode();
-	pDestShell->GetDoc()->SetRedlineMode_intern( eOldRedlMode | IDocumentRedlineAccess::REDLINE_DELETE_REDLINES );
+	pDestShell->GetDoc()->SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(eOldRedlMode | IDocumentRedlineAccess::REDLINE_DELETE_REDLINES));
 
 	// sind Tabellen-Formeln im Bereich, dann muss erst die Tabelle
 	// angezeigt werden, damit die Tabellen-Formel den neuen Wert errechnen
Index: source/core/undo/docundo.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/docundo.cxx,v
retrieving revision 1.19
retrieving revision 1.19.14.1
diff -u -r1.19 -r1.19.14.1
--- source/core/undo/docundo.cxx	14 Aug 2006 16:48:33 -0000	1.19
+++ source/core/undo/docundo.cxx	28 Aug 2006 12:33:41 -0000	1.19.14.1
@@ -376,12 +376,12 @@
 	SwUndo *pUndo = (*pUndos)[ --nUndoPos ];
 
 	IDocumentRedlineAccess::RedlineMode_t eOld = GetRedlineMode();
-	IDocumentRedlineAccess::RedlineMode_t eTmpMode = pUndo->GetRedlineMode();
+	IDocumentRedlineAccess::RedlineMode_t eTmpMode = (IDocumentRedlineAccess::RedlineMode_t)pUndo->GetRedlineMode();
 	if( (IDocumentRedlineAccess::REDLINE_SHOW_MASK & eTmpMode) != (IDocumentRedlineAccess::REDLINE_SHOW_MASK & eOld) &&
 		UNDO_START != pUndo->GetId() && UNDO_END != pUndo->GetId() )
 		SetRedlineMode( eTmpMode );
 
-	SetRedlineMode_intern( eTmpMode | IDocumentRedlineAccess::REDLINE_IGNORE );
+	SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eTmpMode | IDocumentRedlineAccess::REDLINE_IGNORE));
 	// Undo ausfuehren
 
 	// zum spaeteren ueberpruefen
@@ -813,11 +813,11 @@
 	SwUndo *pUndo = (*pUndos)[ nUndoPos++ ];
 
 	IDocumentRedlineAccess::RedlineMode_t eOld = GetRedlineMode();
-	IDocumentRedlineAccess::RedlineMode_t eTmpMode = pUndo->GetRedlineMode();
+	IDocumentRedlineAccess::RedlineMode_t eTmpMode = (IDocumentRedlineAccess::RedlineMode_t)pUndo->GetRedlineMode();
 	if( (IDocumentRedlineAccess::REDLINE_SHOW_MASK & eTmpMode) != (IDocumentRedlineAccess::REDLINE_SHOW_MASK & eOld) &&
 		UNDO_START != pUndo->GetId() && UNDO_END != pUndo->GetId() )
 		SetRedlineMode( eTmpMode );
-	SetRedlineMode_intern( eTmpMode | IDocumentRedlineAccess::REDLINE_IGNORE );
+	SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(eTmpMode | IDocumentRedlineAccess::REDLINE_IGNORE));
 
 	//JP 11.05.98: FlyFormate ueber die EditShell selektieren, nicht aus dem
 	//				Undo heraus
Index: source/core/undo/unattr.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/unattr.cxx,v
retrieving revision 1.10
retrieving revision 1.10.14.1
diff -u -r1.10 -r1.10.14.1
--- source/core/undo/unattr.cxx	14 Aug 2006 16:48:56 -0000	1.10
+++ source/core/undo/unattr.cxx	28 Aug 2006 12:33:42 -0000	1.10.14.1
@@ -879,7 +879,7 @@
 	if( pRedlData && IDocumentRedlineAccess::IsRedlineOn( GetRedlineMode() ) )
 	{
 		IDocumentRedlineAccess::RedlineMode_t eOld = rDoc.GetRedlineMode();
-		rDoc.SetRedlineMode_intern( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE );
+		rDoc.SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE));
 		rDoc.Insert( rPam, aSet, nInsFlags );
 
 		if( ULONG_MAX != nNdIdx )
Index: source/core/undo/undobj.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/undobj.cxx,v
retrieving revision 1.20
retrieving revision 1.20.14.1
diff -u -r1.20 -r1.20.14.1
--- source/core/undo/undobj.cxx	14 Aug 2006 16:49:31 -0000	1.20
+++ source/core/undo/undobj.cxx	28 Aug 2006 12:33:42 -0000	1.20.14.1
@@ -1080,7 +1080,7 @@
     rDoc.DeleteRedline( *pRedl, false, USHRT_MAX );
 
     IDocumentRedlineAccess::RedlineMode_t eOld = rDoc.GetRedlineMode();
-    rDoc.SetRedlineMode_intern( eOld | IDocumentRedlineAccess::REDLINE_DONTCOMBINE_REDLINES );
+    rDoc.SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld | IDocumentRedlineAccess::REDLINE_DONTCOMBINE_REDLINES));
     rDoc.AppendRedline( pRedl, true );
 	rDoc.SetRedlineMode_intern( eOld );
 }
@@ -1150,7 +1150,7 @@
 void SwUndo::SetSaveData( SwDoc& rDoc, const SwRedlineSaveDatas& rSData )
 {
     IDocumentRedlineAccess::RedlineMode_t eOld = rDoc.GetRedlineMode();
-    rDoc.SetRedlineMode_intern( ( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON );
+    rDoc.SetRedlineMode_intern( (IDocumentRedlineAccess::RedlineMode_t)(( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON ));
 	SwPaM aPam( rDoc.GetNodes().GetEndOfContent() );
 
 	for( USHORT n = rSData.Count(); n; )
Index: source/core/undo/unins.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/unins.cxx,v
retrieving revision 1.21
retrieving revision 1.21.14.1
diff -u -r1.21 -r1.21.14.1
--- source/core/undo/unins.cxx	14 Aug 2006 16:50:19 -0000	1.21
+++ source/core/undo/unins.cxx	28 Aug 2006 12:33:42 -0000	1.21.14.1
@@ -405,7 +405,7 @@
 		if( pRedlData && IDocumentRedlineAccess::IsRedlineOn( GetRedlineMode() ))
 		{
 			IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-			pDoc->SetRedlineMode_intern( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE );
+			pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE));
 			pDoc->AppendRedline( new SwRedline( *pRedlData, *pPam ), true);
 			pDoc->SetRedlineMode_intern( eOld );
 		}
@@ -448,7 +448,7 @@
 			if( pRedlData && IDocumentRedlineAccess::IsRedlineOn( GetRedlineMode() ))
 			{
 				IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-				pDoc->SetRedlineMode_intern( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE );
+				pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE));
 				pDoc->AppendRedline( new SwRedline( *pRedlData,
 											*rUndoIter.pAktPam ), true);
 				pDoc->SetRedlineMode_intern( eOld );
Index: source/core/undo/unredln.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/unredln.cxx,v
retrieving revision 1.10
retrieving revision 1.10.14.1
diff -u -r1.10 -r1.10.14.1
--- source/core/undo/unredln.cxx	14 Aug 2006 16:51:21 -0000	1.10
+++ source/core/undo/unredln.cxx	28 Aug 2006 12:33:42 -0000	1.10.14.1
@@ -151,7 +151,7 @@
 {
 	SwDoc* pDoc = &rIter.GetDoc();
 	IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-	pDoc->SetRedlineMode_intern( ( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON );
+	pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON ));
 
 	SetPaM( *rIter.pAktPam );
 	if( pRedlSaveData && bHiddenRedlines )
@@ -411,7 +411,7 @@
 	{
 		// die Redlines loeschen
 		IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-		pDoc->SetRedlineMode_intern( ( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON );
+		pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE) | IDocumentRedlineAccess::REDLINE_ON));
 
 		pDoc->DeleteRedline( *pPam, true, USHRT_MAX );
 
Index: source/core/undo/unsect.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/unsect.cxx,v
retrieving revision 1.10
retrieving revision 1.10.14.1
diff -u -r1.10 -r1.10.14.1
--- source/core/undo/unsect.cxx	14 Aug 2006 16:51:32 -0000	1.10
+++ source/core/undo/unsect.cxx	28 Aug 2006 12:33:42 -0000	1.10.14.1
@@ -234,7 +234,7 @@
 	if( pRedlData && IDocumentRedlineAccess::IsRedlineOn( GetRedlineMode() ))
 	{
 		IDocumentRedlineAccess::RedlineMode_t eOld = rDoc.GetRedlineMode();
-		rDoc.SetRedlineMode_intern( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE );
+		rDoc.SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE));
 
 		SwPaM aPam( *pSectNd->EndOfSectionNode(), *pSectNd, 1 );
 		rDoc.AppendRedline( new SwRedline( *pRedlData, aPam ), true);
Index: source/core/undo/unspnd.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/unspnd.cxx,v
retrieving revision 1.5
retrieving revision 1.5.14.1
diff -u -r1.5 -r1.5.14.1
--- source/core/undo/unspnd.cxx	14 Aug 2006 16:51:56 -0000	1.5
+++ source/core/undo/unspnd.cxx	28 Aug 2006 12:33:42 -0000	1.5.14.1
@@ -213,7 +213,7 @@
 				if( pRedlData && IDocumentRedlineAccess::IsRedlineOn( GetRedlineMode() ))
 				{
 					IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-					pDoc->SetRedlineMode_intern( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE );
+					pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE));
 					pDoc->AppendRedline( new SwRedline( *pRedlData, rPam ), true);
 					pDoc->SetRedlineMode_intern( eOld );
 				}
Index: source/core/undo/untbl.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/untbl.cxx,v
retrieving revision 1.23
retrieving revision 1.23.14.2
diff -u -r1.23 -r1.23.14.2
--- source/core/undo/untbl.cxx	14 Aug 2006 16:52:08 -0000	1.23
+++ source/core/undo/untbl.cxx	29 Aug 2006 12:42:04 -0000	1.23.14.2
@@ -407,7 +407,7 @@
 		if( pRedlData && IDocumentRedlineAccess::IsRedlineOn( GetRedlineMode() ) )
 		{
 			IDocumentRedlineAccess::RedlineMode_t eOld = rDoc.GetRedlineMode();
-			rDoc.SetRedlineMode_intern( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE );
+			rDoc.SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)(eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE));
 
 			rDoc.AppendRedline( new SwRedline( *pRedlData, aPam ), true);
 			rDoc.SetRedlineMode_intern( eOld );
@@ -2362,7 +2362,7 @@
     RedlineModeInternGuard(
         SwDoc& rDoc,                      /// change mode of this document
         IDocumentRedlineAccess::RedlineMode_t eNewRedlineMode,    /// new redline mode
-        IDocumentRedlineAccess::RedlineMode_t eRedlineModeMask  = IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE /*change only bits set in this mask*/);
+        IDocumentRedlineAccess::RedlineMode_t eRedlineModeMask  = (IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_IGNORE /*change only bits set in this mask*/));
 
     ~RedlineModeInternGuard();
 };
@@ -2374,8 +2374,8 @@
     : mrDoc( rDoc ),
       meOldRedlineMode( rDoc.GetRedlineMode() )
 {
-    mrDoc.SetRedlineMode_intern( ( meOldRedlineMode & ~eRedlineModeMask ) |
-                                 ( eNewRedlineMode & eRedlineModeMask ) );
+    mrDoc.SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)( ( meOldRedlineMode & ~eRedlineModeMask ) |
+									 ( eNewRedlineMode & eRedlineModeMask ) ));
 }
 
 RedlineModeInternGuard::~RedlineModeInternGuard()
@@ -2799,8 +2799,8 @@
     // mark the cell content behind rIdx as deletion
     // merge text nodes at rIdx if possible
     IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-    pDoc->SetRedlineMode_intern( ( eOld | IDocumentRedlineAccess::REDLINE_DONTCOMBINE_REDLINES ) &
-                                ~IDocumentRedlineAccess::REDLINE_IGNORE );
+    pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)( ( eOld | IDocumentRedlineAccess::REDLINE_DONTCOMBINE_REDLINES ) &
+									 ~IDocumentRedlineAccess::REDLINE_IGNORE ));
     SwPosition aInsertEnd( rPos );
     SwTxtNode* pTxt;
     if( !rJoin )
Index: source/core/undo/untblk.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/undo/untblk.cxx,v
retrieving revision 1.6
retrieving revision 1.6.14.1
diff -u -r1.6 -r1.6.14.1
--- source/core/undo/untblk.cxx	14 Aug 2006 16:52:20 -0000	1.6
+++ source/core/undo/untblk.cxx	28 Aug 2006 12:33:43 -0000	1.6.14.1
@@ -356,7 +356,7 @@
 	if( pRedlData && IDocumentRedlineAccess::IsRedlineOn( GetRedlineMode() ))
 	{
 		IDocumentRedlineAccess::RedlineMode_t eOld = pDoc->GetRedlineMode();
-		pDoc->SetRedlineMode_intern( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE );
+		pDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)( eOld & ~IDocumentRedlineAccess::REDLINE_IGNORE ));
 		pDoc->AppendRedline( new SwRedline( *pRedlData, *pPam ), true);
 		pDoc->SetRedlineMode_intern( eOld );
 	}
Index: source/filter/basflt/shellio.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/basflt/shellio.cxx,v
retrieving revision 1.42
retrieving revision 1.42.14.1
diff -u -r1.42 -r1.42.14.1
--- source/filter/basflt/shellio.cxx	14 Aug 2006 17:00:29 -0000	1.42
+++ source/filter/basflt/shellio.cxx	28 Aug 2006 12:33:43 -0000	1.42.14.1
@@ -456,7 +456,7 @@
         pDoc->UpdateLinks();
         // <--
 
-		eOld = (pDoc->GetRedlineMode() & ~IDocumentRedlineAccess::REDLINE_IGNORE);
+	eOld = (IDocumentRedlineAccess::RedlineMode_t)(pDoc->GetRedlineMode() & ~IDocumentRedlineAccess::REDLINE_IGNORE);
 
 		pDoc->SetFieldsDirty(false, NULL, 0);
 	}
Index: source/filter/ww1/fltshell.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww1/fltshell.cxx,v
retrieving revision 1.19
retrieving revision 1.19.14.1
diff -u -r1.19 -r1.19.14.1
--- source/filter/ww1/fltshell.cxx	14 Aug 2006 17:13:32 -0000	1.19
+++ source/filter/ww1/fltshell.cxx	28 Aug 2006 12:33:43 -0000	1.19.14.1
@@ -639,9 +639,9 @@
 		{
 			if (pEntry->MakeRegion(pDoc, aRegion, TRUE))
 			{
-				pDoc->SetRedlineMode(   IDocumentRedlineAccess::REDLINE_ON
-									  | IDocumentRedlineAccess::REDLINE_SHOW_INSERT
-									  | IDocumentRedlineAccess::REDLINE_SHOW_DELETE );
+			  pDoc->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(   IDocumentRedlineAccess::REDLINE_ON
+											  | IDocumentRedlineAccess::REDLINE_SHOW_INSERT
+											  | IDocumentRedlineAccess::REDLINE_SHOW_DELETE ));
 				SwFltRedline& rFltRedline = *((SwFltRedline*)pEntry->pAttr);
 
 				if( USHRT_MAX != rFltRedline.nAutorNoPrev )
@@ -661,9 +661,9 @@
 									0
 									);
 				pDoc->AppendRedline( new SwRedline(aData, aRegion), true );
-				pDoc->SetRedlineMode(   IDocumentRedlineAccess::REDLINE_NONE
-									  | IDocumentRedlineAccess::REDLINE_SHOW_INSERT
-									  | IDocumentRedlineAccess::REDLINE_SHOW_DELETE );
+				pDoc->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(   IDocumentRedlineAccess::REDLINE_NONE
+												| IDocumentRedlineAccess::REDLINE_SHOW_INSERT
+												| IDocumentRedlineAccess::REDLINE_SHOW_DELETE ));
 			}
 		}
 		break;
Index: source/filter/ww8/writerhelper.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/writerhelper.cxx,v
retrieving revision 1.19
retrieving revision 1.19.14.1
diff -u -r1.19 -r1.19.14.1
--- source/filter/ww8/writerhelper.cxx	14 Aug 2006 17:14:39 -0000	1.19
+++ source/filter/ww8/writerhelper.cxx	28 Aug 2006 12:33:44 -0000	1.19.14.1
@@ -864,8 +864,8 @@
                 (*aRegion.GetPoint() != *aRegion.GetMark())
             )
             {
-                mrDoc.SetRedlineMode(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
-                    IDocumentRedlineAccess::REDLINE_SHOW_DELETE);
+                mrDoc.SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_ON | IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
+									     IDocumentRedlineAccess::REDLINE_SHOW_DELETE));
                 const SwFltRedline *pFltRedline = static_cast<const SwFltRedline*>
                     (pEntry->pAttr);
 
@@ -882,8 +882,8 @@
                         pFltRedline->aStamp, aEmptyStr, 0);
 
                 mrDoc.AppendRedline(new SwRedline(aData, aRegion), true);
-                mrDoc.SetRedlineMode(IDocumentRedlineAccess::REDLINE_NONE | IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
-                    IDocumentRedlineAccess::REDLINE_SHOW_DELETE );
+                mrDoc.SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(IDocumentRedlineAccess::REDLINE_NONE | IDocumentRedlineAccess::REDLINE_SHOW_INSERT |
+				     IDocumentRedlineAccess::REDLINE_SHOW_DELETE ));
             }
             delete pEntry;
         }
Index: source/filter/ww8/wrtww8.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/wrtww8.cxx,v
retrieving revision 1.78
retrieving revision 1.78.14.1
diff -u -r1.78 -r1.78.14.1
--- source/filter/ww8/wrtww8.cxx	14 Aug 2006 17:16:16 -0000	1.78
+++ source/filter/ww8/wrtww8.cxx	28 Aug 2006 12:33:44 -0000	1.78.14.1
@@ -2216,8 +2216,8 @@
     USHORT nRedlineMode = pDoc->GetRedlineMode();
     if (pDoc->GetRedlineTbl().Count())
     {
-        pDoc->SetRedlineMode(nRedlineMode | IDocumentRedlineAccess::REDLINE_SHOW_DELETE |
-            IDocumentRedlineAccess::REDLINE_SHOW_INSERT);
+        pDoc->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(nRedlineMode | IDocumentRedlineAccess::REDLINE_SHOW_DELETE |
+								     IDocumentRedlineAccess::REDLINE_SHOW_INSERT));
     }
 
     maFontHelper.InitFontTable(bWrtWW8, *pDoc);
@@ -2356,7 +2356,7 @@
     StoreDoc1();
 
     if (nRedlineMode != pDoc->GetRedlineMode())
-        pDoc->SetRedlineMode(nRedlineMode);
+      pDoc->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(nRedlineMode));
 
     if (pUsedNumTbl)           // all used NumRules
     {
Index: source/filter/ww8/ww8par.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/ww8par.cxx,v
retrieving revision 1.169
retrieving revision 1.169.14.1
diff -u -r1.169 -r1.169.14.1
--- source/filter/ww8/ww8par.cxx	14 Aug 2006 17:18:16 -0000	1.169
+++ source/filter/ww8/ww8par.cxx	28 Aug 2006 12:33:44 -0000	1.169.14.1
@@ -4078,7 +4078,7 @@
 
     // delete the pam before the call for hide all redlines (Bug 73683)
     if (mbNewDoc)
-        rDoc.SetRedlineMode( eMode );
+      rDoc.SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)( eMode ));
 
     UpdatePageDescs(rDoc, nPageDescOffset);
 
Index: source/filter/xml/swxml.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/xml/swxml.cxx,v
retrieving revision 1.72
retrieving revision 1.72.14.1
diff -u -r1.72 -r1.72.14.1
--- source/filter/xml/swxml.cxx	14 Aug 2006 17:21:06 -0000	1.72
+++ source/filter/xml/swxml.cxx	28 Aug 2006 12:33:45 -0000	1.72.14.1
@@ -992,8 +992,8 @@
 	// ... restore redline mode
 	// (First set bogus mode to make sure the mode in SetRedlineMode()
 	//  is different from it's previous mode.)
-	rDoc.SetRedlineMode_intern( ~nRedlineMode );
-	rDoc.SetRedlineMode( nRedlineMode );
+	rDoc.SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)( ~nRedlineMode ));
+	rDoc.SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)( nRedlineMode ));
 
     // #103728# move Pam into valid content
     lcl_EnsureValidPam( rPaM );
Index: source/filter/xml/wrtxml.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/xml/wrtxml.cxx,v
retrieving revision 1.53
retrieving revision 1.53.14.1
diff -u -r1.53 -r1.53.14.1
--- source/filter/xml/wrtxml.cxx	14 Aug 2006 17:21:32 -0000	1.53
+++ source/filter/xml/wrtxml.cxx	28 Aug 2006 12:33:45 -0000	1.53.14.1
@@ -310,7 +310,7 @@
     // ... and hide redlines for export
     nRedlineMode &= ~IDocumentRedlineAccess::REDLINE_SHOW_MASK;
     nRedlineMode |= IDocumentRedlineAccess::REDLINE_SHOW_INSERT;
-    pDoc->SetRedlineMode( nRedlineMode );
+    pDoc->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)( nRedlineMode ));
 
 	// Set base URI
 	OUString sPropName( RTL_CONSTASCII_USTRINGPARAM("BaseURI") );
@@ -505,7 +505,7 @@
     nRedlineMode |= IDocumentRedlineAccess::REDLINE_SHOW_INSERT;
     if ( *(sal_Bool*)aAny.getValue() )
         nRedlineMode |= IDocumentRedlineAccess::REDLINE_SHOW_DELETE;
-    pDoc->SetRedlineMode( nRedlineMode );
+    pDoc->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)( nRedlineMode ));
 
 	if (xStatusIndicator.is())
 	{
Index: source/filter/xml/xmlexp.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/xml/xmlexp.cxx,v
retrieving revision 1.82
retrieving revision 1.82.14.1
diff -u -r1.82 -r1.82.14.1
--- source/filter/xml/xmlexp.cxx	14 Aug 2006 17:21:57 -0000	1.82
+++ source/filter/xml/xmlexp.cxx	28 Aug 2006 12:33:45 -0000	1.82.14.1
@@ -468,7 +468,7 @@
         // now save and switch redline mode
         nRedlineMode = pDoc->GetRedlineMode();
         pDoc->SetRedlineMode(
-            ( nRedlineMode & IDocumentRedlineAccess::REDLINE_SHOW_MASK ) | IDocumentRedlineAccess::REDLINE_INSERT );
+			     (IDocumentRedlineAccess::RedlineMode_t)(( nRedlineMode & IDocumentRedlineAccess::REDLINE_SHOW_MASK ) | IDocumentRedlineAccess::REDLINE_INSERT ));
     }
 
  	sal_uInt32 nRet = SvXMLExport::exportDoc( eClass );
@@ -476,7 +476,7 @@
     // now we can restore the redline mode (if we changed it previously)
     if( bSaveRedline )
     {
-        pDoc->SetRedlineMode( nRedlineMode );
+      pDoc->SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)(nRedlineMode ));
     }
 
 
Index: source/ui/uno/SwXDocumentSettings.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/uno/SwXDocumentSettings.cxx,v
retrieving revision 1.51
retrieving revision 1.51.14.1
diff -u -r1.51 -r1.51.14.1
--- source/ui/uno/SwXDocumentSettings.cxx	14 Aug 2006 17:58:52 -0000	1.51
+++ source/ui/uno/SwXDocumentSettings.cxx	28 Aug 2006 12:33:45 -0000	1.51.14.1
@@ -652,7 +652,7 @@
                 {
                     sal_uInt16 eMode = mpDoc->GetRedlineMode();
                     eMode = eMode|IDocumentRedlineAccess::REDLINE_ON;
-                    mpDoc->SetRedlineMode( eMode );
+                    mpDoc->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)( eMode ));
                 }
             }
         }
Index: source/ui/uno/unoatxt.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/uno/unoatxt.cxx,v
retrieving revision 1.34
retrieving revision 1.34.14.1
diff -u -r1.34 -r1.34.14.1
--- source/ui/uno/unoatxt.cxx	14 Aug 2006 18:00:18 -0000	1.34
+++ source/ui/uno/unoatxt.cxx	28 Aug 2006 12:33:46 -0000	1.34.14.1
@@ -579,7 +579,7 @@
 			{
 				pGDoc->SetRedlineMode_intern( IDocumentRedlineAccess::REDLINE_DELETE_REDLINES );
 				lcl_CopySelToDoc( pGDoc, pxCursor, pxRange );
-				pGDoc->SetRedlineMode_intern( 0 );
+				pGDoc->SetRedlineMode_intern((IDocumentRedlineAccess::RedlineMode_t)( 0 ));
 				nRet = pGlosGroup->PutDoc();
 			}
 			else
Index: source/ui/uno/unotxdoc.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/uno/unotxdoc.cxx,v
retrieving revision 1.113
retrieving revision 1.113.14.1
diff -u -r1.113 -r1.113.14.1
--- source/ui/uno/unotxdoc.cxx	14 Aug 2006 18:01:55 -0000	1.113
+++ source/ui/uno/unotxdoc.cxx	28 Aug 2006 12:33:46 -0000	1.113.14.1
@@ -2003,7 +2003,7 @@
 			{
 				eMode = bSet ? eMode|IDocumentRedlineAccess::REDLINE_ON : eMode&~IDocumentRedlineAccess::REDLINE_ON;
 			}
-			pDocShell->GetDoc()->SetRedlineMode( eMode );
+			pDocShell->GetDoc()->SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)(eMode ));
 		}
 		break;
         case  WID_DOC_CHANGES_PASSWORD:
@@ -2017,7 +2017,7 @@
                 {
                     sal_uInt16 eMode = pDoc->GetRedlineMode();
                     eMode = eMode|IDocumentRedlineAccess::REDLINE_ON;
-                    pDoc->SetRedlineMode( eMode );
+                    pDoc->SetRedlineMode( (IDocumentRedlineAccess::RedlineMode_t)(eMode ));
                 }
             }
         }
@@ -2048,7 +2048,7 @@
 				break;
 				default: throw IllegalArgumentException();
 			}
-			pDocShell->GetDoc()->SetRedlineMode(nSet);
+			pDocShell->GetDoc()->SetRedlineMode((IDocumentRedlineAccess::RedlineMode_t)(nSet));
 		}
 		break;
 		case WID_DOC_TWO_DIGIT_YEAR:
